Bug 118572 - Annoyance during policy package update
Summary: Annoyance during policy package update
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: policy   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
low
Target Milestone: ---
Assignee: Daniel Walsh
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: FC2Blocker
TreeView+ depends on / blocked
 
Reported: 2004-03-17 21:00 UTC by Lubomir Bulej
Modified: 2007-11-30 22:10 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-05-06 18:21:14 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Lubomir Bulej 2004-03-17 21:00:12 UTC
Description of problem:
The POSTIN script in the policy package unconditionally executes
load_policy to update policy in the running system. However, if the
systems does not have SELinux enabled, the script fails and the
uninstallation of previous version of the policy package is not
completed and the package record remains in the database.

Replacing
/usr/sbin/load_policy /etc/security/selinux/policy.15

with
[ -x /usr/bin/selinuxenabled ] && selinuxenabled &&
/usr/sbin/load_policy /etc/security/selinux/policy.15

should fix the annoyance. I guess there is similar problem in the
policy-sources package.

Comment 1 Daniel Walsh 2004-03-18 04:49:57 UTC
Cleaned this up in policy-1.9-1

Comment 2 Daniel Walsh 2004-05-06 18:21:14 UTC
Closing bugs since I believe these have been fixed for a long time in policy


Note You need to log in before you can comment on or make changes to this bug.